list1 = people.select               # All people, all fields
list2 = people.select(:name,:age)   # All people, name/age only
list3 = people.select(:name) {|x| x.age >= 18 && x.age < 30 }
# Names of all people 18 to 30

